## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate path-dedot

Name:           rust-path-dedot
Version:        3.1.1
Release:        %autorelease
Summary:        Parse path with dots in Path and PathBuf

License:        MIT
URL:            https://crates.io/crates/path-dedot
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop bencher dependency and benchmark code
Patch:          path-dedot-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library for extending `Path` and `PathBuf` in order to parse the path
which contains dots.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static_cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static_cache-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static_cache" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static_cache-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell_cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell_cache-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell_cache" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell_cache-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsafe_cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsafe_cache-devel %{_description}

This package contains library source intended for building other packages which
use the "unsafe_cache" feature of the "%{crate}" crate.

%files       -n %{name}+unsafe_cache-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_unix_paths_on_wasm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_unix_paths_on_wasm-devel %{_description}

This package contains library source intended for building other packages which
use the "use_unix_paths_on_wasm" feature of the "%{crate}" crate.

%files       -n %{name}+use_unix_paths_on_wasm-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Oct 25 2024 Michel Lind <salimma@fedoraproject.org> - 3.1.1-4
- Drop bencher dependency and benchmark code

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Sep 09 2023 Fabio Valentini <decathorpe@gmail.com> - 3.1.1-1
- Update to version 3.1.1; Fixes RHBZ#2238145

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 3.1.0-1
- Update to version 3.1.0; Fixes RHBZ#2195987

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Fabio Valentini <decathorpe@gmail.com> - 3.0.18-1
- Update to version 3.0.18; Fixes RHBZ#2134281

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> - 3.0.17-1
- Update to version 3.0.17; Fixes RHBZ#2065527

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 27 2021 Fabio Valentini <decathorpe@gmail.com> - 3.0.14-1
- Update to version 3.0.14; Fixes RHBZ#2005678

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat May 01 2021 Fabio Valentini <decathorpe@gmail.com> - 3.0.12-1
- Update to version 3.0.12.
- Fixes RHBZ#1952304

* Thu Mar 25 2021 Fabio Valentini <decathorpe@gmail.com> - 3.0.8-1
- Update to version 3.0.8.
- Fixes RHBZ#1937767

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 3.0.7-1
- Update to 3.0.7

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 21 09:05:59 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Thu May 28 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.5-1
- Update to 2.0.5

* Thu May 28 2020 Josh Stone <jistone@redhat.com> - 2.0.4-1
- Update to 2.0.4

* Wed May 27 12:10:47 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.3-1
- Update to 2.0.3

* Wed May 27 07:19:20 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Tue May 26 07:45:06 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.2.4-1
- Update to 1.2.4

* Mon May 25 19:45:58 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 1.2.2-1
- Initial package

## END: Generated by rpmautospec
